[Plugin] Axis components (Updated 6/12/2010)
-
Do my eyes deceive me?
Does this reset the origin of the component where you please? -
-
It's Christmas!!!
-
Thanks for the gift. May be could you translate or give us the file to translate Axis positionning names( it's still cyrillic written )
MALAISE
-
@malaise said:
May be could you translate or give us the file to translate Axis positionning names
Did I translate correctly?
Центра компонента>>> Center of component>>> "Центр компонента " "Center of component " "Низ центра компонента " "Bottom of center of component " "Верх центра компонента " "Top of center of component " "Левый дальний угол " "Left distant corner " "Левый ближний угол " "Left near corner " "Правый дальний угол " "Right distant corner " "Правый ближний угол " "Right near corner " "Центр на левой стороне " "Left center " "Центр на передней стороне " "Front center " "Центр на правой стороне "Right center " "Центр сзади "Back center "
-
A plugin like this was overdue. Thank you so for this productivity increasing plugin. Creating lots of face me components was always annoying a bit because of centering the axis, now its fun - you're great!!!!!
-
Ok, now I understand! - it seemed no different than the built-in Change-axis feature. But the preset positions are nice!
-
Nice tool! You might think to change the icon, because is already one in SU and this can be confusing.
-
Doesn't Right clicking the axes of the component and selecting "change axes" already do what this plugin does?
I don't see the difference or the need for it. Anyone can enlighten me? -
This plguin adds some pre-defined axis locations, so you don't have to set the axis manually. If you know you want the axis set to the middle, bottom of the component, then this plugin will do it for you. Otherwise it could be tough to do, like in his first image example. That one would require drawing construction lines or temporary geometry in place to then align the axis to.
Chris
-
Центра компонента>>> Centre du composant>>>
"Центр компонента " "Centre du composant "
"Низ центра компонента " "Centre Bas du composant "
"Верх центра компонента " "Centre Haut du composant "
"Левый дальний угол " "Left distant corner "
"Левый ближний угол " "Left near corner "
"Правый дальний угол " "Right distant corner "
"Правый ближний угол " "Right near corner "
"Центр на левой стороне " "Left center "
"Центр на передней стороне " "Front center "
"Центр на правой стороне "Right center "
"Центр сзади "Back center " -
In French
Центра компонента>>> Centre du composant>>> "Центр компонента " "Centre du composant " "Низ центра компонента " "Centre Bas du composant " "Верх центра компонента " "Centre Haut du composant " "Левый дальний угол " "Coin Gauche distant " "Левый ближний угол " "Coin Gauche proche " "Правый дальний угол " "Coin Droit distant " "Правый ближний угол " "Coin Droit proche " "Центр на левой стороне " "Centre Gauche " "Центр на передней стороне " "Centre Face " "Центр на правой стороне "Centre Droit " "Центр сзади "Centre Arrière "
-
Missed this one -- nice little addition! I hated having to add temporary lines to find corner snap locations
-
Very cool plugin -- if only someone would generate something like this that used the ease of setting axis position of this ruby combined with the align scripts function to move groups and components to each other... it's actually something I've wanted since I first started working with Sketchup but was always too afraid to try
Anyhow I took a stab at making a clearer english version of it and while I was trying to sort that out I decided to cobble together a context menu to make switching between them quicker...
just added this stuff at the end.
` if( not file_loaded?("axiscomp.rb") )UI.add_context_menu_handler {|menu|
if(Sketchup.active_model.selection[0].typename == "ComponentInstance")
menu.add_separator
sub=menu.add_submenu("Orient Component Axis")
sub.add_item("Absolute Center") { centrcomponents1 }
sub.add_item("Bottom Center") { centrcomponents2 }
sub.add_item("Top Center") { centrcomponents3 }
sub.add_item("North-West Corner Bottom") { centrcomponentsright1 }
sub.add_item("North Side Center Bottom") { centrcomponentsrightstorona }
sub.add_item("North-East Corner Bottom") { centrcomponentsright2 }
sub.add_item("East Side Center Bottom") { centrcomponentsperedstorona }
sub.add_item("South-East Corner Bottom") { centrcomponentsleft2 }
sub.add_item("South Side Center Bottom") { centrcomponentsleftstorona }
sub.add_item("South-West Corner Bottom") { centrcomponentsleft1 }
sub.add_item("West Side Center Bottom") { centrcomponentszadstorona }
end #if ok}
end`
Thanks again.
Best,
Jason. -
I actually wanted a Center East option today and realized it wasn't there.
Expanding the options shouldn't be hard, but the menu could get kinda crazy. Something like this would work:
axis=menu.add_submenu("Orient Component Axis") top=axis.add_submenu("Top") top.add_item("Center") { function } top.add_separator top.add_item("North") { function } top.add_item("North-East") { function } top.add_item("East") { function } top.add_item("South-East") { function } top.add_item("South") { function } top.add_item("South-West") { function } top.add_item("West") { function } top.add_item("North-West") { function } middle=axis.add_submenu("Middle") middle.add_item("Center") { function } middle.add_separator middle.add_item("North") { function } middle.add_item("North-East") { function } middle.add_item("East") { function } middle.add_item("South-East") { function } middle.add_item("South") { function } middle.add_item("South-West") { function } middle.add_item("West") { function } middle.add_item("North-West") { function } bottom=axis.add_submenu("Bottom") bottom.add_item("Center") { function } bottom.add_separator bottom.add_item("North") { function } bottom.add_item("North-East") { function } bottom.add_item("East") { function } bottom.add_item("South-East") { function } bottom.add_item("South") { function } bottom.add_item("South-West") { function } bottom.add_item("West") { function } bottom.add_item("North-West") { function }
-
@sahi said:
@malaise said:
May be could you translate or give us the file to translate Axis positionning names
Did I translate correctly?
Центра компонента>>> Center of component>>> > "Центр компонента " "Center of component " > "Низ центра компонента " "Bottom of center of component " > "Верх центра компонента " "Top of center of component " > "Левый дальний угол " "Left distant corner " > "Левый ближний угол " "Left near corner " > "Правый дальний угол " "Right distant corner " > "Правый ближний угол " "Right near corner " > "Центр на левой стороне " "Left center " > "Центр на передней стороне " "Front center " > "Центр на правой стороне "Right center " > "Центр сзади "Back center "
[attachment=0:3nck5g1d]<!-- ia0 -->axiscomp4.zip<!-- ia0 -->[/attachment:3nck5g1d]
Could you post all downloads in the first post please - makes it easier to locate them.
-
I am teaching some video lessons on the Dynamic Component functions of Sketchup Pro and I would like to utilize a modified version of this plugin and give it to the students as I think it could simplify the DC creation process... what is the proper protocol for passing this on to others?
Best,
Jason. -
-
@sahi said:
@jason_maranto said:
what is the proper protocol for passing this on to others?
It is free.
Does not mean you can share things around as you like. You need to get the permission of the author unless you find some written statement that the author allows redistribution.
-
Thanks for responding so quickly Sahi. Generally, unless the author gives permission otherwise:
The plugin should be downloaded from this site directly. People that have the plugin, should know where to go to get updates in the future, ask for help with the plugin, contact the author, etc. So for that reason, it is best if you can get people to download the plugin from here directly. Maybe sending out an email to your students with the plugin and direct links to this thread is enough? I'm not sure what the other authors would think about that.
Advertisement